// slidevw.h : interface of the CSlidetstView class
//
/////////////////////////////////////////////////////////////////////////////

class CSlidetstView : public CView
{ 
protected:
    CSlider *pVSlider;
    CSlider *pHSlider;
    CEdit   vposWin;
    CEdit   hposWin;
    
protected: // create from serialization only
    CSlidetstView();
    DECLARE_DYNCREATE(CSlidetstView)

// Attributes
public:
    CSlidetstDoc* GetDocument();

// Operations
public:

// Implementation
public:
    virtual ~CSlidetstView();
    virtual void OnDraw(CDC* pDC);  // overridden to draw this view
    
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

    // Printing support
protected:
    virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
    virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
    virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Generated message map functions
protected:
    //{{AFX_MSG(CSlidetstView)
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnDestroy();
    afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScollBar);
    afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
    afx_msg HBRUSH OnCtlColor(CDC* pDC,CWnd* pWnd,UINT nCtlColor);
    afx_msg void OnSethpos();
    afx_msg void OnSethrange();
    afx_msg void OnSetvpos();
    afx_msg void OnSetvrange();
    afx_msg void OnEnablevert();
    afx_msg void OnEnablehorz();
    afx_msg void OnDisablevert();
    afx_msg void OnDisablehorz();
    afx_msg void OnGethrange();
    afx_msg void OnGetvrange();
    afx_msg void OnBitmap();
    afx_msg void OnDefault();
    afx_msg void OnHborderwidth();
    afx_msg void OnHibevelframe();
    afx_msg void OnHibevelinset();
    afx_msg void OnHibevelnone();
    afx_msg void OnHibevelraised();
    afx_msg void OnHibevelwidth();
    afx_msg void OnHobevelframe();
    afx_msg void OnHobevelinset();
    afx_msg void OnHobevelnone();
    afx_msg void OnHobevelraised();
    afx_msg void OnHobevelwidth();
    afx_msg void OnHtickinset();
    afx_msg void OnHticknormal();
    afx_msg void OnHtickraised();
    afx_msg void OnVborderwidth();
    afx_msg void OnVibevelframe();
    afx_msg void OnVibevelinset();
    afx_msg void OnVibevelnone();
    afx_msg void OnVibevelraised();
    afx_msg void OnVobevelframe();
    afx_msg void OnVobevelinset();
    afx_msg void OnVobevelnone();
    afx_msg void OnVobevelraised();
    afx_msg void OnVtickinset();
    afx_msg void OnVtickraised();
    afx_msg void OnVbitmapthumb();
    afx_msg void OnVdefaultthumb();
    afx_msg void OnVticknormal();
	afx_msg void OnVibevelwidth();
	afx_msg void OnVobevelwidth();
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in slidevw.cpp
inline CSlidetstDoc* CSlidetstView::GetDocument()
   { return (CSlidetstDoc*) m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
